#Note this package is not prefixable
#%define prefix /usr
%define name fonts-persian-parsi
%define version 0.0.1
%define release 1.PU_IAS.2
%define url http://www.irna.com/

Summary: Persian parsi fonts by irna.com
Name: %{name}
Version: %{version}
Release: %{release}
Source0: parsi.tgz
Copyright: distributable
Group: System/Fonts/X11 bitmap
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
Requires: chkfontpath 
# to have it auto-selected when choosing Parsi at install time. 
# It would be a good idea to rem-out this line when compiling for another 
# distro
# Requires: locales-??

%description
A set of parsi fonts for persian based languages, adapted for linux
from windows version fonts by http://www.irna.com.

Note that this package requires chkfontpath for the installation only.
If your distribution does not have chkfontpath you will be able to install
this package with 'rpm --nodep' . However - you should add the install
directory to the FontPath before being able to use those fonts with X.

%prep
%setup -n parsi

%build
echo "No build necessary"

%install
install -d $RPM_BUILD_ROOT%{_datadir}/fonts/parsi
cp * $RPM_BUILD_ROOT%{_datadir}/fonts/parsi

# create necessary font description files
cd $RPM_BUILD_ROOT%{_datadir}/fonts/parsi
ttmkfdir -o fonts.scale
mkfontdir

%post 
chkfontpath -q -a %{_datadir}/fonts/parsi
fc-cache %{_datadir}/fonts/parsi

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
	chkfontpath -q -r %{_datadir}/fonts/parsi
	fc-cache %{_datadir}/fonts/parsi
fi

%clean
rm -rf $RPM_BUILD_ROOT/parsi*

%files 
%defattr(644,root,root,0755)  
%{_datadir}/fonts/*

%changelog
* Fri May 02 2003 Josko Plazonic <plazonic@math.princeton.edu>
- rebuilt for RH 9

* Mon Oct 02 2000 Josko Plazonic <plazonic@Math.Princeton.EDU> 
- initial adaptation of fonts from windows packaging
# end of file
